//--------------------------------------------------------------
// File     : main.c
// Datum    : 08.05.2015
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// Board    : STM32F429-Board von UB (Version 1.0)
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Hauptprogramm
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------
// Beschreibung :
// LoLevel-Test vom eigenbau STM32F429-Board von UB (Version 1.0)
//
// test der COM-3 (per FTDI-Chip) 115200 Baud
// echo der empfangenen Daten
//
// Statusausgabe per COM-6 (3,3V UART) 115200 Baud
//--------------------------------------------------------------


#include "main.h"
#include "stm32_ub_systick.h"
#include "stm32_ub_uart.h"

int main(void)
{
  char buf[50];

  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom sytsick
  UB_Systick_Init();

  // init der uart
  UB_Uart_Init();

  // powerOn string
  UB_Uart_SendString(COM6,"F429-Board",CRLF);
  UB_Uart_SendString(COM6,"RS232-Check",CRLF);


  while(1)
  {
    // Ceck ob Daten per COM3 empfangen wurden
    if(UB_Uart_ReceiveString(COM3,buf)==RX_READY) {
      UB_Uart_SendString(COM6,"RS232 Data received",CRLF);

      UB_Uart_SendString(COM3,"RX:[",NONE);
      UB_Uart_SendString(COM3,buf,NONE);
      UB_Uart_SendString(COM3,"]",CRLF);
    }
  }
}

